@echo off
goto begin

-----------------------------------------------------------------------------------------------
Company: Software- und Organisations-Service GmbH
Author : Oliver Haufe <oliver.haufe@sos-berlin.com>
Purpose: start Job Editor
$Id: jobeditor.cmd 27252 2014-09-19 11:16:19Z sos $


################################################################################################
#                                                                                              #
# Please use ..\user_bin\jobeditor_environment_variables.cmd to change the environment of JOE. #
# You find an example file ..\user_bin\jobeditor_environment_variables.cmd-example             #
# If you change some variables in this script or in .\jobscheduler_environment_variables.cmd   #
# then it is possible that your changes get lost after a new setup.                            #
#                                                                                              #
################################################################################################
------------------------------------------------------------------------------------------------

:begin
SETLOCAL

if exist "%~dp0jobscheduler_environment_variables.cmd" call "%~dp0jobscheduler_environment_variables.cmd"
if exist "%~dp0..\user_bin\jobscheduler_environment_variables.cmd" call "%~dp0..\user_bin\jobscheduler_environment_variables.cmd"
if exist "%~dp0..\user_bin\jobeditor_environment_variables.cmd" call "%~dp0..\user_bin\jobeditor_environment_variables.cmd"

set INSTALL_PATH=%~dp0..

if not defined APPDATA_PATH set APPDATA_PATH=%INSTALL_PATH%
if not defined SCHEDULER_HOME set SCHEDULER_HOME=%INSTALL_PATH:\=/%
if not defined SCHEDULER_DATA set SCHEDULER_DATA=%APPDATA_PATH:\=/%
if not defined SCHEDULER_HOT_FOLDER set SCHEDULER_HOT_FOLDER=%SCHEDULER_DATA:\=/%/config/live

if not defined SOS_JOE_HOME set SOS_JOE_HOME=%SCHEDULER_HOME%

if not defined LOG4JPROP (
  if exist "%INSTALL_PATH%\lib\JOE-log4j2.xml" set LOG4JPROP=-Dlog4j.configurationFile="file:///%SCHEDULER_HOME%/lib/JOE-log4j2.xml"
)
if not defined CAIRO_JAVA_OPTION set CAIRO_JAVA_OPTION=-Dorg.eclipse.swt.internal.gtk.cairoGraphics=false

set DEBUG_MODE=%~1

set JAVA_BIN=javaw.exe
if /I x%DEBUG_MODE%==xdebug set JAVA_BIN=java.exe
if defined JAVA_HOME (
  if exist "%JAVA_HOME%\bin\%JAVA_BIN%" set JAVA_BIN=%JAVA_HOME%\bin\%JAVA_BIN%
)

set CUR_DIR=%CD%
cd /D "%APPDATA_PATH%"

@rem set classpath
set CP=%SCHEDULER_HOME%/lib/patches/*;%SCHEDULER_HOME%/lib/user_lib/*;%SCHEDULER_HOME%/lib/3rd-party/*;%SCHEDULER_HOME%/lib/log/log4j/*;%SCHEDULER_HOME%/lib/sos/*


set CALLARGS=-classpath "%CP%" %LOG4JPROP% %JAVA_OPTIONS% -Dfile.encoding=UTF-8 -DSCHEDULER_HOME="%SCHEDULER_HOME%" -DSCHEDULER_DATA="%SCHEDULER_DATA%" -DSCHEDULER_HOT_FOLDER="%SCHEDULER_HOT_FOLDER%" sos.scheduler.editor.app.Editor
if /I x%DEBUG_MODE%==xdebug (
  echo cd "%CD%"
  echo "%JAVA_BIN%" %CALLARGS%
  echo.
  "%JAVA_BIN%" %CALLARGS%
) else (
  start "JobScheduler Object Editor" /D "%APPDATA_PATH%" "%JAVA_BIN%" %CALLARGS%
)
cd /D %CUR_DIR%

ENDLOCAL
:final